xine-lib: vdec_hw_h264_frame_int_s Struct Reference

xine-lib 1.2.12

Data Fields
vdec_hw_h264_frame_int_s Struct Reference

## Data Fields
vdec_hw_h264_frame_t | f
struct vdec_hw_h264_frame_int_s * | link
int | drawn
uint8_t | used
uint8_t | missing_header
uint8_t | drop_pts
uint8_t | completed
uint16_t | FrameNum
int32_t | FrameNumWrap
int32_t | PicNum [2]
uint8_t | is_reference [2]
uint8_t | field_pic_flag
int32_t | PicOrderCntMsb
int32_t | TopFieldOrderCnt
int32_t | BottomFieldOrderCnt
uint16_t | pic_order_cnt_lsb
uint8_t | mmc5

## Field Documentation

## ◆ BottomFieldOrderCnt

int32_t vdec_hw_h264_frame_int_s::BottomFieldOrderCnt

Referenced by _vdec_hw_h264_check_ref_list(), _vdec_hw_h264_dbp_append(), _vdec_hw_h264_decode_picture(), _vdec_hw_h264_decode_poc(), _vdec_hw_h264_dpb_draw_frames(), _vdec_hw_h264_dpb_mmc1(), and _vdec_hw_h264_render().

## ◆ completed

uint8_t vdec_hw_h264_frame_int_s::completed

Referenced by _vdec_hw_h264_dec_ref_pic_marking(), _vdec_hw_h264_decode_picture(), _vdec_hw_h264_decode_poc(), _vdec_hw_h264_render(), and _vdec_hw_h264_slice_header().

## ◆ drawn

int vdec_hw_h264_frame_int_s::drawn

Referenced by _vdec_hw_h264_dbp_append(), _vdec_hw_h264_dpb_draw_frames(), _vdec_hw_h264_dpb_mmc1(), _vdec_hw_h264_frame_draw(), and _vdec_hw_h264_frame_new().

## ◆ drop_pts

uint8_t vdec_hw_h264_frame_int_s::drop_pts

Referenced by _vdec_hw_h264_render(), and vdec_hw_h264_zero_pts().

## ◆ f

vdec_hw_h264_frame_t vdec_hw_h264_frame_int_s::f

Referenced by _vdec_hw_h264_check_ref_list(), _vdec_hw_h264_decode_poc(), _vdec_hw_h264_frame_draw(), _vdec_hw_h264_frame_free(), _vdec_hw_h264_frame_link(), _vdec_hw_h264_frame_new(), _vdec_hw_h264_render(), and vdec_hw_h264_zero_pts().

## ◆ field_pic_flag

uint8_t vdec_hw_h264_frame_int_s::field_pic_flag

Referenced by _vdec_hw_h264_check_ref_list(), _vdec_hw_h264_dec_ref_pic_marking(), _vdec_hw_h264_decode_picnum(), _vdec_hw_h264_decode_picture(), _vdec_hw_h264_decode_poc(), and _vdec_hw_h264_render().

## ◆ FrameNum

uint16_t vdec_hw_h264_frame_int_s::FrameNum

Referenced by _vdec_hw_h264_decode_picnum(), _vdec_hw_h264_decode_picture(), _vdec_hw_h264_decode_poc(), and _vdec_hw_h264_render().

## ◆ FrameNumWrap

int32_t vdec_hw_h264_frame_int_s::FrameNumWrap

Referenced by _vdec_hw_h264_decode_picnum().

## ◆ is_reference

uint8_t vdec_hw_h264_frame_int_s::is_reference[2]

Referenced by _vdec_hw_h264_check_ref_list(), _vdec_hw_h264_dbp_append(), _vdec_hw_h264_dec_ref_pic_marking(), _vdec_hw_h264_decode_picture(), _vdec_hw_h264_decode_poc(), _vdec_hw_h264_dpb_draw_frames(), _vdec_hw_h264_dpb_mmc1(), _vdec_hw_h264_dpb_reset(), and _vdec_hw_h264_render().

## ◆ link

struct vdec_hw_h264_frame_int_s* vdec_hw_h264_frame_int_s::link

Referenced by _vdec_hw_h264_frame_draw(), _vdec_hw_h264_frame_free(), _vdec_hw_h264_frame_link(), and _vdec_hw_h264_frame_new().

## ◆ missing_header

uint8_t vdec_hw_h264_frame_int_s::missing_header

Referenced by _vdec_hw_h264_decode_picture(), and _vdec_hw_h264_slice_header().

## ◆ mmc5

uint8_t vdec_hw_h264_frame_int_s::mmc5

Referenced by _vdec_hw_h264_decode_poc().

## ◆ pic_order_cnt_lsb

uint16_t vdec_hw_h264_frame_int_s::pic_order_cnt_lsb

Referenced by _vdec_hw_h264_decode_poc().

## ◆ PicNum

int32_t vdec_hw_h264_frame_int_s::PicNum[2]

Referenced by _vdec_hw_h264_dec_ref_pic_marking(), _vdec_hw_h264_decode_picnum(), and _vdec_hw_h264_dpb_get_PicNum().

## ◆ PicOrderCntMsb

int32_t vdec_hw_h264_frame_int_s::PicOrderCntMsb

Referenced by _vdec_hw_h264_decode_poc().

## ◆ TopFieldOrderCnt

int32_t vdec_hw_h264_frame_int_s::TopFieldOrderCnt

Referenced by _vdec_hw_h264_check_ref_list(), _vdec_hw_h264_dbp_append(), _vdec_hw_h264_decode_picture(), _vdec_hw_h264_decode_poc(), _vdec_hw_h264_dpb_draw_frames(), _vdec_hw_h264_dpb_mmc1(), and _vdec_hw_h264_render().

## ◆ used

uint8_t vdec_hw_h264_frame_int_s::used

Referenced by _vdec_hw_h264_decode_poc().

The documentation for this struct was generated from the following file:

- xine-lib-1.2.12/src/video_dec/libvdpau/vdec_hw_h264.c